{ pkgs, config, ... }:

let theme = config.theme; in {

  programs.kitty = {
    enable = true;

    settings = {
      term = "xterm-256color";
      enable_audio_bell = false;
      scrollback_lines = 5000000;
      background = "#${theme.background.minor}";
      bold_font = "Fira Code Medium";
      window_padding_width = 2;
    };

    font = {
      name = "Fira Code";
      package = pkgs.fira-code;
      size = 10.5;
    };
  };

}