{ oxalica, nixpkgs, ... }: {

  home.packages = let
    pkgs = import nixpkgs { overlays = [ oxalica.overlays.default ]; };
    # We want an up-to-date nightly but also we need there to be stdlib and stuff
    rust = pkgs.rust-bin.selectLatestNightlyWith (tc: tc.default.override {
      extensions = [ "rust-src" ];
    });
  in [
    rust
    pkgs.rust-analyzer
  ];

}