helix: final: prev: 

with (import ./lib.nix final); {
  element-web   = webApp "element"   "https://riot.badat.dev";
  youtube-web   = webApp "youtube"   "https://youtube.com";
  github-web    = webApp "github"    "https://github.com";
  bitwarden-web = webApp "bitwarden" "https://vault.steph.tools";
  hoogle-web    = webApp "hoogle"    "https://hoogle.haskell.org";
  tor-browser-bundle-bin =
    prev.tor-browser-bundle-bin.override {
      useHardenedMalloc = false;
    };
  # We can't just patch it because grammars are fetched at build time.
  helix = helix.packages.${prev.stdenv.system}.default.override {
    grammarOverlays = [(f: p: {
      "rust" = p.rust.overrideAttrs (o: {
        rev = "04352146022062c101b8ddd853adf17eadd8cf56";
      });
    })];
  };
  # python311Packages.deemix = prev.python311Packages.deemix.overrideAttrs (old: {
  #   patches = [./patch/dont_write_arl.patch];
  # });
}
