let strawberry = [
      (builtins.readFile ./system/strawberry/keys/riley.pub)
      (builtins.readFile ./system/strawberry/keys/root.pub)
    ];
    lime = [
      (builtins.readFile ./system/lime/keys/riley.pub)
      (builtins.readFile ./system/lime/keys/root.pub)
    ];
    dev-lt-63 = [
      (builtins.readFile ./system/dev-lt-63/keys/riley.pub)
    ];
    all = strawberry ++ lime ++ dev-lt-63;
in {
  # Secrets for backup cloud storage provider
  "secret/backblaze.age".publicKeys = all;
  # The ARL for my deezer account
  "secret/arl.age".publicKeys = all;
}