{ lib, ... }:

{

  imports = [
    ./bash.nix
    ./rust.nix
    ./git.nix
    ./mpd.nix
    ./xdg.nix
    ./programs.nix
    ./matrix.nix
    ./theme.nix
    ./gui
    ./nix
  ];

  options.isNixos = lib.mkOption {
    type = lib.types.bool;
    default = false;
  };

  config = {
    theme = import ../../themes/lean.nix;
  };

}