{ pkgs, ... }:

with pkgs; rec {

  nixGL =
    let src = fetchGit { ref = "main"; url = "https://github.com/guibou/nixGL.git"; };
     in (import src {}).auto.nixGLDefault;

  nixGLWrapper = program: writeShellScriptBin program.pname ''
    ${nixGL}/bin/nixGL ${program}/bin/${program.pname} "$@"
  '';

  webApp = name: url: writeShellScriptBin name ''
    ${chromium}/bin/chromium --app ${url}
  '';

}