rec {

  background = {
    basic = "121212";
    major = "010101";
    minor = "212121";
  };

  foreground = {
    basic = "f5f5f5";
    major = "ffffff";
    minor = "ebebeb";
  };

  failure = colors.red.major;
  success = colors.green.major;
  warning = colors.orange.basic;

  colors = {

    red = {
      basic = "f0593e";
      major = "ff3814";
      minor = "ff8873";
    };

    green = {
      basic = "2aa61c";
      major = "39e825";
      minor = "72eb65";
    };

    blue = {
      basic = "3171eb";
      major = "4160fa";
      minor = "73a0f5";
    };
    
    cyan = {
      basic = "42cef5";
      major = "42f5f2";
      minor = "91e7ff";
    };
    
    purple = {
      basic = "9d24bf";
      major = "ca45f0";
      minor = "e28efa";
    };
    
    pink = {
      basic = "f25ac0";
      major = "f71eaf";
      minor = "f781d0";
    };
    
    yellow = {
      basic = "d3e848";
      major = "d7f700";
      minor = "dbe884";
    };
    
    orange = {
      basic = "f7a100";
      major = "f77700";
      minor = "f5b742";
    };

  };

  accent = rec {

    primary   = colors.green;
    secondary = colors.purple;
    tertiary  = colors.pink;

    ordered = with colors; {
      "0" = primary;
      "1" = secondary;
      "2" = tertiary;
      "3" = blue;
      "4" = red;
      "5" = orange;
      "6" = yellow;
      "7" = cyan;
    };

  };

}